//Задаем путь .xml-файлов задач
function [errTasks,..//Ошибки задач
          errMsgTasks,..//Сообщения об ошибках задач
          err,msg]=ExecuteHelpTasks(tasksNames,..//Массив .sce файлов задач
                                    projectName,..//Имя проекта
                                    errPrintMsg..//Необходимость печати сообщений об ошибках
                                    )
    //Проверяем и обрабатываем аргументы
    [nRez,nArg] = argn();//Число аргументов
    select nArg
    case 0 then
        error('The function ExecuteHelpTasks takes 1, 2 or 3 arguments');
    case 1 then
        projectName = "";//Имя проекта по умолчанию отсутcтвует
        errPrintMsg = %t;//По умолчанию печатаем сообщение об ошибках
    case 2 then
        if type(projectName) == 4 then
            errPrintMsg = projectName;//Необходимость печати сообщений об ошибках
            projectName = "";//Имя проекта по умолчанию отсутcтвует
        else
            errPrintMsg = %t;//По умолчанию печатаем сообщение об ошибках
        end
    end
    select nRez
    case 0 then
        ExecuteTasksGen(tasksNames,..//Массив .sce файлов задач
                        projectName,..//Имя проекта
                        "HelpTasks",..//Тип задачи
                        errPrintMsg..//Необходимость печати сообщений об ошибках
                        );
    case 1 then
        [errTasks..//Ошибки задач
         ]=ExecuteTasksGen(tasksNames,..//Массив .sce файлов задач
                           projectName,..//Имя проекта
                           "HelpTasks",..//Тип задачи
                           errPrintMsg..//Необходимость печати сообщений об ошибках
                           );
    case 2 then
        [errTasks,..//Ошибки задач
         errMsgTasks..//Сообщения об ошибках задач
         ]=ExecuteTasksGen(tasksNames,..//Массив .sce файлов задач
                           projectName,..//Имя проекта
                           "HelpTasks",..//Тип задачи
                           errPrintMsg..//Необходимость печати сообщений об ошибках
                           );
    case 3 then
        [errTasks,..//Ошибки задач
         errMsgTasks,..//Сообщения об ошибках задач
         err]=ExecuteTasksGen(tasksNames,..//Массив .sce файлов задач
                              projectName,..//Имя проекта
                              "HelpTasks",..//Тип задачи
                              errPrintMsg..//Необходимость печати сообщений об ошибках
                              );
    case 4 then
        [errTasks,..//Ошибки задач
         errMsgTasks,..//Сообщения об ошибках задач
         err,msg]=ExecuteTasksGen(tasksNames,..//Массив .sce файлов задач
                                  projectName,..//Имя проекта
                                  "HelpTasks",..//Тип задачи
                                  errPrintMsg..//Необходимость печати сообщений об ошибках
                                  );
    end
endfunction
