//Задаем путь .xml-файлов задач
function [fullServiceDataFileName,..//Путь к xml-файлам задач
          err,msg]=GetFullServiceDataFileName(serviceDataFileName,..//Имя файла данных
                                              projectName,..//Имя проекта
                                              errPrintMsg..//Необходимость печати сообщений об ошибках
                                              )
    //Проверяем аргументы
    nArg = argn(2);
    select nArg
    case 0 then
        error('The function GetFullServiceDataFileName takes 1, 2 or 3 arguments');
    case 1 then
        projectName = "";//Имя проекта по умолчанию отсутcтвует
        errPrintMsg = %t;//По умолчанию печатаем сообщение об ошибках
    case 2 then
        if type(projectName) == 4 then
            errPrintMsg = projectName;//Необходимость печати сообщений об ошибках
            projectName = "";//Имя проекта по умолчанию отсутcтвует
        else
            errPrintMsg = %t;//По умолчанию печатаем сообщение об ошибках
        end
    end
    
    //Формируем полное имя файла данных
    [tasksSCEFilesPath,..//Путь к xml-файлам задач
     err,msg..//Код ошибки и сообщение ошибки
     ]=GetTaskPath(1, errPrintMsg);
    if err ~= 0 then
        return;
    end
    fullServiceDataFileName = fullfile(tasksSCEFilesPath,projectName,'ServiceDataTasks',serviceDataFileName);//Полное имя файла данных
endfunction
 
