function [namesLoadingFunctionsLibs,..//Имена (они же идентификаторы) загруженных библиотек функций
          err,msg]=LoadingFunctionsLibs(FunctionsLibsNames,..//Имена функциональных библиотек
                                        projectName,..//Имя проекта
                                        errPrintMsg..//Необходимость печати сообщений об ошибках
                                        )
    //Проверяем аргументы
    nArg = argn(2);//Число аргументов
    select nArg
    case 0 then
        error('The function LoadingFunctionLib takes 1, 2 or 3 arguments');
    case 1 then
        projectName = "";//Имя проекта по умолчанию отсутcтвует
        errPrintMsg = %t;//По умолчанию печатаем сообщение об ошибках
    case 2 then
        if type(projectName) == 4 then
            errPrintMsg = projectName;//Необходимость печати сообщений об ошибках
            projectName = "";//Имя проекта по умолчанию отсутcтвует
        else
            errPrintMsg = %t;//По умолчанию печатаем сообщение об ошибках
        end
    end
    
    //Формируем полные имена директорий назначения
    [tasksSCEFilesPath,..//Путь к xml-файлам задач
     err,msg..//Код ошибки и сообщение ошибки
     ]=GetTaskPath(2, errPrintMsg);
    if err ~= 0 then
        return;
    end
    fullFunctionsLibsNames = fullfile(tasksSCEFilesPath,projectName,FunctionsLibsNames);//Имена директорий библиотек в облаке
    
    //Удаляем директории библиотек из директорий проекта
    nFullFunctionsLibsNames = size(fullFunctionsLibsNames,'*');//Число загружаемых библиотек
    namesLoadingFunctionsLibs = cell(1,nFullFunctionsLibsNames);//Имена (они же идентификаторы) загруженных библиотек функций
    for ind=1:nFullFunctionsLibsNames
        //Загружаем текущую библиотеку
        nameLoadingFunctionLib = lib(fullFunctionsLibsNames(ind));
        
        //Добавляем библиотеку в список библиотек
        namesLoadingFunctionsLibs{ind} = nameLoadingFunctionLib;//Имена (они же идентификаторы) загруженных библиотек функций
    end
    err = 0;
    msg = "";
endfunction
